#include "ep_lib.hpp"
#include <mpi.h>
#include "ep_declaration.hpp"


namespace ep_lib
{



  int MPI_Init_thread(int *argc, char*** argv, int required, int*provided)
  {
    Debug("MPI_Init_thread with EP/MPI\n");

    if(omp_get_thread_num() == 0)
    {
      ::MPI_Init_thread(argc, argv, required, provided);
    }
  }

  int MPI_Init(int *argc, char ***argv)
  {
    Debug("MPI_Init with EP/MPI\n");

    if(omp_get_thread_num() == 0)
    {
      ::MPI_Init(argc, argv);
    }
  }
  
  int EP_group_init()
  {
  
  }

  int MPI_Initialized(int *flag)
  {
    Debug("MPI_Initialized with EP/MPI\n");

    return ::MPI_Initialized(flag);
  }



}


